Bug 540402 - Jack-sense not working on HDA-Intel - external speaker always plays. No controls available in alsamixer
Jack-sense not working on HDA-Intel - external speaker always plays. No contr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 04:51 EST by Kaare Fiedler Christiansen
Modified: 2012-08-16 14:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from alsa-info.sh (23.59 KB, text/plain)
2009-11-23 04:51 EST, Kaare Fiedler Christiansen
no flags Details
Alsa info on same hardware, Fedora 14 64 bit (26.46 KB, text/plain)
2010-11-11 07:50 EST, Kaare Fiedler Christiansen
no flags Details

  None (edit)
Description Kaare Fiedler Christiansen 2009-11-23 04:51:40 EST
Created attachment 373054 [details]
Output from alsa-info.sh

Description of problem:

Since Fedora 11 and continuing in Fedora 12, there is no way to turn off the built-in external speaker on my computer. Even though headphones are plugged in, the external speaker always plays. No controls in alsamixer offer any controls to change this

In Fedora 10 and previous releases, there was a switch to turn on or off headohne jack sense, but that is no longer present.

Version-Release number of selected component (if applicable):

alsa-lib-1.0.21-3.fc12.i686
kernel-2.6.31.5-127.fc12.i686

How reproducible:

Always

Steps to Reproduce:
1. Plugin headphones
2. Play sound in any application
  
Actual results:

External speaker always plays sound, as well as headphones.

Expected results:

External speaker turns off, when headphones are inserted.

Additional info:

Attaching also-info.txt for hardware- and alsa info
Comment 1 Bug Zapper 2010-11-04 01:39:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kaare Fiedler Christiansen 2010-11-11 07:50:58 EST
Created attachment 459751 [details]
Alsa info on same hardware, Fedora 14 64 bit

Problem is unchanged on Fedora 14 64 bit
Comment 3 wtff 2011-01-13 10:37:37 EST
I can confirm the bug. On Fedora 11 64 bit sound worked fine but with release 12, 13 and now 14, the jack sense issue has been unsolved.

I searched the internet for days and tried out everything. The only workaround that worked for me was this:

1.) edit file /etc/modprobe.d/dist-alsa.conf by appending the following line:

options snd-hda-intel model=auto position_fix=1

2.) reboot

3.) run alsamixer and make sure that headphone and speaker channels are not muted and have a sufficiently high volume setting (on my machine, the speaker channel's volume setting was zero although I did not set it to this before)


I would like to propose that this bug be re-prioritized to high because there are tons of people out there who have this problem and it is clearly a show stopper. 
Many people out there are also wondering why kmix isn't showing more than one channel as it ought to be. Few know about the internal reasons (switch from being an ALSA frontend to being a PulseAudio frontend). Furthermore, it is difficult for an end user to wrap one's head around the linux sound architecture. There are just too many terms involved and not enough documentation explaining the orchestration of the former. 
For example: suggested workarounds for the jack sense issue encompassed the following terms/architectures/apps: phonon, kmix, ALSA, OSS, PulseAudio, Xine, GStreamer, alsamixer, pavucontrol to just name a few.
In addition, there is no information to be found on the whereabouts of files like /etc/conf.modules or /etc/modules.conf or where to find the corresponding file in Fedora 14 KDE. An end user - even willing to experiment - is very unlikely to understand the sound architecture and fix this issue.
I therefore strongly suggest to address this issue as soon as possible and issue it as a bugfix release. 
Furthermore, I encourage to add a diagram to the Fedora release documentation that depicts the sound architecture and the relationship between the abovementioned terms.
Comment 4 Jaroslav Kysela 2011-01-13 11:10:47 EST
http://www.alsa-project.org/main/index.php/Help_To_Debug_Intel_HDA

Basically, for best hardware support, the ALSA driver must have specific code (we call it model) following the hardware configuration. Try all models for your codec (see URL above).
Comment 5 Fedora End Of Life 2012-08-16 14:28:07 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.